Bug 1429257 - Conflicting files between iverlog and ghdl
Conflicting files between iverlog and ghdl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iverilog (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kiara Navarro
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-05 18:44 EST by Robert Hedman
Modified: 2017-10-05 22:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-05 22:22:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Hedman 2017-03-05 18:44:55 EST
Description of problem:

Error: Transaction check error:
  file /usr/include/vpi_user.h from install of ghdl-0.34dev-0.20170221git663ebfd.0.fc25.x86_64 conflicts with file from package iverilog-10-2.fc24.x86_64


The above error was flagged while running this command on a recent install of Fedora 25

yum groupinstall 'Electronic Lab'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.yum groupinstall 'Electronic Lab'

2. OR install the iverilog and ghdl packages
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ankur Sinha (FranciscoD) 2017-03-07 10:08:36 EST
Just ran into this too - is there a fix on the cards?
Comment 2 Ben Rosser 2017-05-15 15:24:41 EDT
It would be really nice if this could be fixed; perhaps by putting either the iverilog or ghdl headers into a subdirectory of /usr/include?
Comment 3 Gabriel Somlo 2017-07-12 08:58:56 EDT
bug still present in F26, bumped version field.
Comment 4 Fedora Update System 2017-08-15 12:09:18 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6a9da5490
Comment 5 Fedora Update System 2017-08-15 12:09:46 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f699cec9b
Comment 6 Fedora Update System 2017-08-18 17:52:44 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6a9da5490
Comment 7 Fedora Update System 2017-08-19 14:51:30 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f699cec9b
Comment 8 Fedora Update System 2017-08-28 12:18:39 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-09-26 10:27:35 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-953e17fb1b
Comment 10 Fedora Update System 2017-09-27 03:01:41 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-953e17fb1b
Comment 11 Fedora Update System 2017-10-05 22:22:07 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.